import 'package:rasadyar_auth/auth.dart';
import 'package:rasadyar_chicken/data/di/chicken_di.dart';
import 'package:rasadyar_core/core.dart';

final di = GetIt.instance;

Future<void> setupPreInjection() async {
  await setupAllCoreProvider();
  await setupAuthDI();
  di.registerSingleton<DioRemote>(
    DioRemote(baseUrl: 'https://everestacademy.ir/'),
    instanceName: 'baseRemote',
  );
}

Future<void> setupInjection() async {
  await setupChickenDI();
}
